## net.i2p.data.i2np
Class I2NPMessageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.i2p.I2PException
                  net.i2p.data.i2np.I2NPMessageException

All Implemented Interfaces:
  Serializable

    public class I2NPMessageException

extends I2PException

Represent an error serializing or deserializing an APIMessage

Author:
  jrandom
See Also:
  Serialized Form

Constructor Summary
`I2NPMessageException(String message)`
`I2NPMessageException(String message, Throwable parent)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### I2NPMessageException

    public I2NPMessageException(String message,
                                Throwable parent)

### I2NPMessageException

    public I2NPMessageException(String message)